
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-FileHandle-Fmode
Version:	0.14
Release:	1%{?dist}
Summary:	FileHandle::Fmode Perl module
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/FileHandle-Fmode/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SI/SISYPHUS/FileHandle-Fmode-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Determine whether a filehandle is opened for reading, writing, or both.

%prep
%setup -q -n FileHandle-Fmode-%{version}
%{__perl} -pi -e 's/\r$//' README CHANGES

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorarch}/auto/FileHandle/
%{perl_vendorarch}/FileHandle/
%{_mandir}/man3/FileHandle::Fmode.3pm*

%changelog
* Sun Aug 17 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 0.14-1
- Update to version 0.14

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 0.13-1
- Update to version 0.13

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.11-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 0.11-2
- Fix dist tag for RHEL-6 Beta

* Fri Feb  5 2010 Paul Howarth <paul@city-fan.org> 0.11-1
- Import from Fedora
- Update to 0.11
  - Add is_FH(), which is an alias for is_arg_ok()
  - Various minor adjustments to enable trouble-free building on pre-5.6
  - Add copyright notice to the LICENSE section of the pod

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 0.09-7
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.09-4
- Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 0.09-3
- Autorebuild for GCC 4.3

* Thu Mar 22 2007 Andreas Thienemann <andreas@bawue.net> 0.09-2
- Fixed EOL-encoding in the packages %%doc files

* Sat Mar 10 2007 Andreas Thienemann <andreas@bawue.net> 0.09-1
- Specfile autogenerated by cpanspec 1.69.1
